TY 太一数据 OneShare 接口文档

公司信息

上市公司信息

查询上市公司详细信息

版本 1 更新于 2026-07-16 18:19

接口基本信息

  • 接口名称: get_listed_company_info
  • 功能描述: 查询A股证券与上市公司基本资料(30项指标)
  • 数据更新频率: 静态数据
  • 请求方法: POST
  • API 路径: https://api.wanxingai.com/openapi/get_listed_company_info/

输入参数说明

参数名 类型 必选 默认值 描述 示例
stock_code str 完整股票代码,需含交易所后缀,多个用英文逗号分隔 600519.SH
date str "" 查询时间点,格式 YYYY-MM-DD。不传则默认使用今天日期 2026-04-17

返回数据说明

indicator 说明
corp_cn_name_stock 公司中文名称
corp_name_en_stock 公司英文名称
established_date_stock 成立日期
reg_capital_stock 注册资本
controlling_holder_stock 控股股东
controlling_holder_held_ratio_stock 控股股东持股比例
actual_controller_stock 实际控制人
actual_controller_type_stock 实际控制人类型
company_saclle_type_stock 企业类型
legal_representative_stock 法人代表
operating_scope_stock 经营范围
main_businuess_stock 主营业务
the_new_csrc_industry_stock 所属新证监会行业
the_sw_industry_stock 所属申万行业
chairman_current_stock 董事长(现任)
chairman_his_stock 董事长(历任)
cfo_current_stock 财务总监(现任)
secretary_current_stock 董事会秘书(现任)
...共 30 项指标,以上为常用字段

使用示例

import requests

url = "https://api.wanxingai.com/openapi/get_listed_company_info/"
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer sk-********"
}
payload = {
    "stock_code": "600519.SH"
}

resp = requests.post(url, json=payload, headers=headers)
print(resp.json())
import java.net.http.*;
import java.net.URI;

HttpClient client = HttpClient.newHttpClient();
String json = "{
     "stock_code": "600519.SH"
}";

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.wanxingai.com/openapi/get_listed_company_info/"))
    .header("Content-Type", "application/json")
    .header("Authorization", "Bearer sk-********")
    .POST(HttpRequest.BodyPublishers.ofString(json))
    .build();

HttpResponse response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
curl -X POST https://api.wanxingai.com/openapi/get_listed_company_info/ \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-********" \
  -d '{"stock_code": "600519.SH"}'

注意事项

  1. date 参数不传则默认使用今天日期